Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.sync.reg.v1
Class RegistrationAnswerType

    java.lang.Object
      be.cin.nip.sync.reg.v1.RegistrationAnswerType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:43:38+02:00",
               comments="JAXB RI v2.2.11")
    public class RegistrationAnswerType

extends Object
implements Serializable

Java class for registrationAnswerType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="registrationAnswerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="answerDetails" type="{urn:be:cin:types:v1}DetailType" maxOccurs="unbounded" minOccurs="0"/>
             <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="serviceName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="status" use="required" type="{urn:be:cin:nip:sync:reg:v1}registrationStatus" />
           <attribute name="startDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           <attribute name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RegistrationAnswerType()`

Method Summary
`List<Object>` | `getAnies()` Gets the value of the anies property.
`List<DetailType>` | `getAnswerDetails()` Gets the value of the answerDetails property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getServiceName()` Gets the value of the serviceName property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`RegistrationStatus` | `getStatus()` Gets the value of the status property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setServiceName(String value)` Sets the value of the serviceName property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStatus(RegistrationStatus value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationAnswerType

    public RegistrationAnswerType()

Method Detail

### getAnswerDetails

    public List<DetailType> getAnswerDetails()

  Gets the value of the answerDetails property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the answerDetails property.

  For example, to add a new item, do as follows:

          getAnswerDetails().add(newItem);

  Objects of the following type(s) are allowed in the list `DetailType`

### getAnies

    public List<Object> getAnies()

  Gets the value of the anies property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the anies property.

  For example, to add a new item, do as follows:

          getAnies().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

### getServiceName

    public String getServiceName()

  Gets the value of the serviceName property.

  Returns:
    possible object is `String`

### setServiceName

    public void setServiceName(String value)

  Sets the value of the serviceName property.

  Parameters:
    `value` - allowed object is `String`

### getStatus

    public RegistrationStatus getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `RegistrationStatus`

### setStatus

    public void setStatus(RegistrationStatus value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `RegistrationStatus`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.